## maliit-inputcontext-gtk 0.99.1+git20151116.72d7576

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(maliit-inputcontext-gtk VERSION 0.99.1)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

option(ENABLE_X11 "Compile with X11 support" OFF)
option(ENABLE_GTK2 "Build input method for Gtk+ 2" ON)
option(ENABLE_GTK3 "Build input method for Gtk+ 3" ON)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

add_definitions(-DG_LOG_DOMAIN="Maliit")

if(ENABLE_X11)
    add_definitions(-DHAVE_X11)
endif()

find_package(Qt5Gui REQUIRED)
find_package(MaliitGLib REQUIRED)

if(ENABLE_GTK2)
    find_package(GTK2 REQUIRED)

    set(SOURCE_FILES
        gtk-input-context/client-gtk/client-imcontext-gtk.c
        gtk-input-context/client-gtk/client-imcontext-gtk.h
        gtk-input-context/client-gtk/debug.c
        gtk-input-context/client-gtk/debug.h
        gtk-input-context/client-gtk/gtk-imcontext-plugin.c
        gtk-input-context/client-gtk/qt-gtk-translate.cpp
        gtk-input-context/client-gtk/qt-gtk-translate.h
        gtk-input-context/client-gtk/qt-keysym-map.cpp
        gtk-input-context/client-gtk/qt-keysym-map.h)

    add_library(im-maliit2 MODULE ${SOURCE_FILES})
    target_link_libraries(im-maliit2 PRIVATE Gtk2::Gtk Qt5::Gui Maliit::GLib)
    set_property(TARGET im-maliit2 PROPERTY OUTPUT_NAME im-maliit)
    set_property(TARGET im-maliit2 PROPERTY PREFIX "")
    set_property(TARGET im-maliit2 PROPERTY LIBRARY_OUTPUT_DIRECTORY gtk-2.0)
    install(TARGETS im-maliit2
            LIBRARY DESTINATION ${LIB_INSTALL_DIR}/gtk-2.0/${GTK2_BINARY_VERSION}/immodules)
endif()

if(ENABLE_GTK3)
    find_package(GTK3 REQUIRED)

    set(SOURCE_FILES
            gtk-input-context/client-gtk/client-imcontext-gtk.c
            gtk-input-context/client-gtk/client-imcontext-gtk.h
            gtk-input-context/client-gtk/debug.c
            gtk-input-context/client-gtk/debug.h
            gtk-input-context/client-gtk/gtk-imcontext-plugin.c
            gtk-input-context/client-gtk/qt-gtk-translate.cpp
            gtk-input-context/client-gtk/qt-gtk-translate.h
            gtk-input-context/client-gtk/qt-keysym-map.cpp
            gtk-input-context/client-gtk/qt-keysym-map.h)

    add_library(im-maliit3 MODULE ${SOURCE_FILES})
    target_link_libraries(im-maliit3 PRIVATE Gtk3::Gtk Qt5::Gui Maliit::GLib)
    set_property(TARGET im-maliit3 PROPERTY OUTPUT_NAME im-maliit)
    set_property(TARGET im-maliit3 PROPERTY PREFIX "")
    set_property(TARGET im-maliit3 PROPERTY LIBRARY_OUTPUT_DIRECTORY gtk-3.0)
    install(TARGETS im-maliit3
            LIBRARY DESTINATION ${LIB_INSTALL_DIR}/gtk-3.0/${GTK3_BINARY_VERSION}/immodules)
endif()

## maliit-inputcontext-gtk 0.99.1

=== debian/changelog ===
maliit-inputcontext-gtk (0.99.1-0ubuntu1) xenial; urgency=low

  * Initial release

 -- William Hua <william.hua@canonical.com>  Tue, 12 Jan 2016 15:18:07 -0500

=== debian/control ===
Source: maliit-inputcontext-gtk
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: William Hua <william.hua@canonical.com>
Build-Depends: debhelper (>= 9),
               cmake,
               qtbase5-dev,
               libgtk2.0-dev,
               libgtk-3-dev,
               libmaliit-glib-dev,
Standards-Version: 3.9.6
Vcs-Bzr: http://bazaar.launchpad.net/~attente/maliit-inputcontext-gtk/trunk
Vcs-Browser: https://code.launchpad.net/~attente/maliit-inputcontext-gtk/trunk

Package: maliit-inputcontext-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maliit GTK+ 2 input method module
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the module needed for GTK+ 2 applications to communicate
 with the Maliit server.

Package: maliit-inputcontext-gtk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maliit GTK+ 3 input method module
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the module needed for GTK+ 3 applications to communicate
 with the Maliit server.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ 

# use this if we ever need a git snapshot:
#
# release_version = $(shell dpkg-parsechangelog -S Version | sed -e 's/-.*//')
# package_version = $(shell dpkg-parsechangelog -S Version | sed -e 's/-.*//')
#
# get-orig-source:
# 	uscan --force-download
#
# get-packaged-orig-source:
# 	git clone -b $(release_version) --depth=1 git://github.com/maliit/inputcontext-gtk inputcontext-gtk-$(release_version)
# 	tar czf maliit-inputcontext-gtk_$(package_version).orig.tar.gz inputcontext-gtk-$(release_version)
# 	rm -rf inputcontext-gtk-$(release_version)

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=`pkg-config --variable=libdir gtk+-3.0` \
		-DENABLE_X11=ON

#.PHONY: get-orig-source get-packaged-orig-source

=== debian/watch ===
version=3
opts=filenamemangle=s/\/maliit\/inputcontext-gtk\/archive\/([\d\.]*).tar.gz/maliit-inputcontext-gtk_$1.orig.tar.gz/ \
https://github.com/maliit/inputcontext-gtk/releases /maliit/inputcontext-gtk/archive/([\d\.]*).tar.gz

## maliit-inputcontext-gtk 0.99.1%2Bgit20151116.72d7576

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.99.1+git%cd.%h" \
https://github.com/maliit/inputcontext-gtk \
HEAD

## maliit-inputcontext-gtk 0.99.1+git20151116.72d7576

=== debian/changelog ===
maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-4) unstable; urgency=medium

  * debian/: Drop GTK-2.0 build flavour and bin:pkg.
  * debian/patches:
    + Add 1001_CMake-4.patch. Support building with CMake 4. (Closes: #1113265).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D:, switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 16:44:18 +0200

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-3) unstable; urgency=medium

  * debian/control:
    + Adjust Vcs-*: fields. This package is maintained by the UBports Packaging
      Team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 21:15:38 +0100

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-2) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Mike Gabriel ]
  * debian/rules:
    + Build with LIB_INSTALL_DIR set to multi-arch path. Thanks to @smcv for
      clarifying on this. (Closes: #1025304).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 22:23:04 +0100

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1016016).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 12:38:18 +0200

=== debian/control ===
Source: maliit-inputcontext-gtk
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkgconf,
               libgtk-3-dev,
               libmaliit-glib-dev,
               qtbase5-dev (>= 5.2),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://github.com/maliit/inputcontext-gtk
Vcs-Browser: https://salsa.debian.org/ubports-team/maliit-inputcontext-gtk
Vcs-Git: https://salsa.debian.org/ubports-team/maliit-inputcontext-gtk.git
Rules-Requires-Root: no

Package: maliit-inputcontext-gtk3
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Inputcontext for GTK+-3 applications
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides input support for GTK+-3 based applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

FLAVOURS = gtk3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

COMMON_CONFIGURE_FLAGS = -DENABLE_X11=ON
COMMON_CONFIGURE_FLAGS += -DLIB_INSTALL_DIR="lib/${DEB_HOST_MULTIARCH}"

CONFIGURE_FLAGS_gtk3 = -DENABLE_GTK3=ON -DENABLE_GTK2=OFF

%:
	dh $@

override_dh_auto_configure: $(FLAVOURS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(COMMON_CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_$*)

override_dh_auto_build: $(FLAVOURS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel --builddirectory=builddir/gtk3

override_dh_auto_install: $(FLAVOURS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_install:
	dh_install -pmaliit-inputcontext-gtk3 --sourcedir=debian/tmp/gtk3

override_dh_missing:
	dh_missing -pmaliit-inputcontext-gtk3 --sourcedir=debian/tmp/gtk3 --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
